hc_legend {highcharter} | R Documentation

## Adding legend options to highchart objects

### Description

Function to modify styles for the box containing the symbol, name and color for each item or point item in the chart.

### Usage

    hc_legend(hc, ...)

### Arguments

`hc` | A `highchart` `htmlwidget` object.
`...` | Arguments are defined in http://api.highcharts.com/highcharts#legend.

### Examples

    data(citytemp)

    highchart() %>%
      hc_xAxis(categories = citytemp$month) %>%
      hc_add_series(name = "Tokyo", data = citytemp$tokyo) %>%
      hc_add_series(name = "London", data = citytemp$london) %>%
      hc_legend(align = "left", verticalAlign = "top",
                layout = "vertical", x = 0, y = 100)

[Package highcharter version 0.5.0 Index]